## ros-noetic-bosch-locator-bridge 1.0.8

=== debian/changelog ===
ros-noetic-bosch-locator-bridge (1.0.8-1buster) buster; urgency=high

  * Support arrays in config for server node
  * Update module versions in server node
  * Use mutex to just make one json_rpc_call at a time
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 29 Jan 2023 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.7-1buster) buster; urgency=high

  * Fixed a bug that could cause latency in localization poses
  * Remove tf broadcaster
  * Support arrays in config
  * Check if laser scan message is valid
  * Update to ROKIT Locator version 1.5
  * Contributors: Fabian König, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 07 Sep 2022 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.6-1buster) buster; urgency=high

  * Fix check of locator config params
  * Change version numbers for compatibility with v1.4.0
  * Add parameters for using intensities
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Tue, 12 Apr 2022 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.5-1buster) buster; urgency=high

  * update to ROKIT Locator version 1.4
  * add interface for second laser
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Mon, 14 Feb 2022 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.4-1buster) buster; urgency=high

  * handle NaNs in range values
  * add service for getting config entries
  * add server interface
  * Contributors: Stefan Laible, robertwil

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 23 Jan 2022 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.3-1buster) buster; urgency=high

  * update to ROKIT Locator version 1.3
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 01 Sep 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.2-1buster) buster; urgency=high

  * guarantee that duration_rotate is greater zero
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 21 Jul 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.1-1buster) buster; urgency=high

  * bump minimum cmake version
  * add poco dependency
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 19 May 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.0-1buster) buster; urgency=high

  * initial version
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 16 May 2021 22:00:00 -0000
